%global momorel   6
%global emacsver  22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global realname  mailcrypt
Summary: %{realname} - An PGP Interface on Emacsen
Name: elisp-%{realname}
Version: 3.5.8
Release: %{momorel}m
License: GPL
Group: Applications/Editors
Source0: http://telia.dl.sourceforge.net/sourceforge/%{realname}/%{realname}-%{version}.tar.gz
Nosource: 0
URL: http://mailcrypt.sourceforge.net/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}
BuildPreReq: tetex
Requires: emacs >= %{emacsver}

%description
 Mailcrypt is an Emacs Lisp package which provides a simple interface
to public key cryptography with PGP [and now GnuPG!]. Mailcrypt makes
strong cryptography a fully integrated part of your normal mail and
news handling environment, and is an important part of a balanced
breakfast.

%package -n %{realname}-emacs
Group: Applications/Editors
Summary: %{realname} - An PGP/GnuPG Interface on Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n %{realname}-emacs
%{realname} - An PGP Interface on Emacs

%prep
%setup -q -n %{realname}-%{version}

test [ "/" != "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%build
test "/" != "%{buildroot}" && %{__rm} -rf %{buildroot}
%configure --prefix=%{_prefix}
make EMACS=emacs \
  EMACSFLAGS="-q -no-site-file" \
  prefix=%{_prefix} \
  lispdir=%{e_sitedir}/%{realname} \
  infodir=%{_infodir}

make html
make timer.el

%install
make EMACS=emacs \
  EMACSFLAGS="-q -no-site-file" \
  prefix=%{buildroot}%{_prefix} \
  lispdir=%{buildroot}%{e_sitedir}/%{realname} \
  infodir=%{buildroot}%{_infodir} install

%{__mkdir_p} %{buildroot}%{_docdir}/%{name}-%{version}
%{__install} -m 644 *.html %{buildroot}%{_docdir}/%{name}-%{version}

# remove
rm -f %{buildroot}/usr/share/info/dir

%clean
test "/" != "%{buildroot}" && %{__rm} -rf %{buildroot}


%post -n %{realname}-emacs
/sbin/install-info -- %{_infodir}/mailcrypt.info.* %{_infodir}/dir

%preun -n %{realname}-emacs
if [ "$1" = 0 ]; then
  /sbin/install-info -- %{_infodir}/mailcrypt.info.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc ANNOUNCE COPYING INSTALL NEWS ONEWS README README.gpg
%doc ChangeLog ChangeLog.1 LCD-entry
%doc mailcrypt_*.html

%files -n %{realname}-emacs
%defattr(-,root,root)
%{e_sitedir}/%{realname}
%{_infodir}/mailcrypt.info*.*

%changelog
* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.8.5-6m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.8.5-5m)
- rebuild against emacs-21.3.50

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (3.8.5-4m)
- revised spec for enabling rpm 4.2.

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.8.5-3m)
- rebuild against emacs-21.3

* Mon Nov 11 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (3.8.5-2m)
- add BuildPrereq: tetex

* Sat Nov  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (3.8.5-1m)
- create spec for FSF Emacs.
